Bug 475928 - gtk-update-icon-cache used incorrectly in post install and uninstall scripts
gtk-update-icon-cache used incorrectly in post install and uninstall scripts
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: powermanga (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthias Saou
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-11 00:35 EST by Bruno Wolff III
Modified: 2009-01-04 01:03 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.90-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-22 15:23:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bruno Wolff III 2008-12-11 00:35:39 EST
Description of problem:
There are a couple of parts to the problem. One is that 'touch' is used without requiring coreutils for the postin and postun scripts. The other is that gtk-update-icon-cache is supposed to be used in a way that will work if gtk2 isn't installed. The typical idiom given to me was:
touch --no-create /usr/share/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet /usr/share/icons/hicolor || :
fi
In addition you'll want to add these requires to the spec file:
Requires(post): coreutils
Requires(postun): coreutils

Not doing the above can cause problems when doing fresh installs or build live cds. Whether or not problems show up in a specific case is somewhat random depending on the order that packages get installed.

Version-Release number of selected component (if applicable):
powermanga-0.90-3.i386

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Matthias Saou 2008-12-22 15:23:10 EST
Fixed in devel, thanks for the report.
Comment 2 Bruno Wolff III 2009-01-04 01:03:48 EST
Just confirming that I am no longer seeing the install problem in rawhide.

Note You need to log in before you can comment on or make changes to this bug.